package com.fjhx.purchase.service.subscribe;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeDetailDto;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeDetailSelectDto;
import com.fjhx.purchase.entity.subscribe.po.SubscribeDetail;
import com.fjhx.purchase.entity.subscribe.vo.SubscribeDetailVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 申购单 服务类
 * </p>
 *
 * @author
 * @since 2023-04-03
 */
public interface SubscribeDetailService extends BaseService<SubscribeDetail> {

    /**
     * 申购单分页
     */
    Page<SubscribeDetailVo> getPage(SubscribeDetailSelectDto dto);

    /**
     * 申购单明细
     */
    List<SubscribeDetailVo> detail(List<Long> ids);

    /**
     * 申购单新增
     */
    void add(SubscribeDetailDto subscribeDetailDto);

    /**
     * 申购单编辑
     */
    void edit(SubscribeDetailDto subscribeDetailDto);

    /**
     * 申购单删除
     */
    void delete(Long id);

    /**
     * 申购统计（申购单分页）
     */
    Map<String, Object> subscribeStatistics(SubscribeDetailSelectDto dto);
}
